/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * @(#) $Id: MenuAppShell.java 8541 2011-09-23 15:12:18Z laslovd $
 *
 *
 *
 *
 *
 */
package at.spardat.xma.appshell;

import org.eclipse.swt.widgets.Menu;
import org.eclipse.swt.widgets.MenuItem;
import org.eclipse.swt.widgets.Shell;

import at.spardat.xma.component.ComponentClient;

/**
 * An AppShell implementing the menu as SWT menu at the shellbar (Windows standard menu).
 * This class is to be thought to be subclassed by an application specific implementation.
 *
 * @author s3460
 * @since version_number
 */
public abstract class MenuAppShell extends ContextAppShell implements IMenuItemCreator {

    public MenuAppShell(ComponentClient component, boolean stateless, int style) {
        super(component, stateless, style);
        addDelegate(new MenuAppShellDelegate());
    }

    // TODO: comment me
    public MenuItem createMenuItem ( Menu parentMenu, int style, int index ) {
        return null;
    }

    // TODO: comment me
    public Menu createMenu ( Shell shell, int dropDown ) {
        return null;
    }
}
