/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

// @(#) $Id: Notification.java 2089 2007-11-28 13:56:13Z s3460 $
package at.spardat.xma.mdl;

/**
 * A kind of a ModelChangeEvent, where no modification on the model is performed.
 * 
 * @author YSD, 18.04.2003 11:49:30
 */
public class Notification extends ModelChangeEvent {

    /**
     * Constructor
     */
    public Notification (WModel destination, boolean fromUI) {
        super (destination, fromUI);
    }

    /**
     * This method is a noop.
     * 
     * @see at.spardat.xma.mdl.ModelChangeEvent#execute()
     */
    public boolean execute() {
        return true;
    }

}
